Description

When trying to install katello nightly (with epel repos):

there is a stage that fails on trying to install mongodb-client:

/Stage[main]/Mongodb::Client/Package[mongodb_client]/ensure: change from 'purged' to 'present' failed

...

Error: rh-mongodb34-mongodb-syspaths conflicts with mongodb-2.6.12-6.el7.x86_6

the issue seems to be with the following module:

/usr/share/foreman-installer/modules/mongodb/manifests/client.pp

this error won't crash the installer, It actually finishes with: "success".

reproducer:

- enable satellite maintenance repo

- get forklift

- ansible-playbook c local -i,$(hostname) -e katello_version=nightly   -e foreman_installer_skip_installer=True playbooks/katello.yml

run katello installer:

```

foreman-installer --scenario katello  -v\

--foreman-initial-admin-password="changeme" \

--disable-system-checks \

--foreman-proxy-dns="true" \

--foreman-proxy-dns-interface="eth0" \

--foreman-proxy-dns-zone="foo.com" \

--foreman-proxy-dhcp="true" \

--foreman-proxy-dhcp-interface="eth0" \

--foreman-proxy-tftp="true" \

--foreman-proxy-tftp-servername="qe-foreman-rhel7.foo.com" \

--foreman-proxy-register-in-foreman="true" \

--foreman-proxy-puppetca="true" \

--foreman-proxy-puppet="true" \

--foreman-proxy-dhcp-range="10.8.213.10 10.8.213.250" \

--foreman-proxy-dhcp-gateway="10.8.213.254"\

--foreman-proxy-dns-reverse="213.8.10.in-addr.arpa" \

--katello-proxy-url="http://proxy.foo.com" \

--katello-proxy-port="3128" --katello-proxy-username="admin" \

--katello-proxy-password="redhat" \

--enable-foreman-plugin-remote-execution \

--enable-foreman-proxy-plugin-remote-execution-ssh \

--enable-foreman-plugin-discovery \

--enable-foreman-proxy-plugin-discovery \

--enable-foreman-plugin-openscap \

--enable-foreman-proxy-plugin-openscap \

--enable-foreman-plugin-ansible \

--enable-foreman-proxy-plugin-ansible \
--foreman-proxy-dns-forwarders="10.8.104.51" \

--foreman-proxy-dns-forwarders="10.11.5.19" \

--foreman-proxy-dns-forwarders="10.10.160.2" \

--foreman-proxy-dns-forwarders="10.5.30.160"

```

Associated revisions

Revision 71812136 - 05/28/2019 12:35 PM - Eric Helms

Update mongodb client package name parameter

History

#1 - 05/28/2019 03:35 PM - Tomer Brisker

- Category set to foreman-installer script

- Assignee set to Eric Helms

should be resolved by https://github.com/theforeman/foreman-installer/commit/718121360a5e07438e24dea70247b36bfbfae7a7, can you check if the

change fixes the issue for you?

#2 - 05/28/2019 03:36 PM - Tomer Brisker

- Triaged changed from No to Yes

#3 - 05/30/2019 08:30 AM - roman plevka

Tomer Brisker wrote:

should be resolved by https://github.com/theforeman/foreman-installer/commit/718121360a5e07438e24dea70247b36bfbfae7a7, can you check

if the change fixes the issue for you?

 Thanks! It looks like the issue's resolved. The installer now passes with no errors.

#4 - 05/30/2019 08:31 AM - roman plevka

- Status changed from New to Resolved
